%Reflektometer an Tor 1 mit Fehlerkorrektur
%
%   28.08.2019          T. Weber

close all;
clear;

vna = 'none'; % SELECT YOUR VECTOR NETWORK ANALYZER HERE
calkit = @rosenberger53k34rmson3; % verwendetes Kalibrierkit

fstart = 10e6; % Startfrequenz
fstop = 1e9; % Stopfrequenz
n = 991; % Anzahl der Messpunkte

% Verbindung zum VNA aufbauen
obj = vna_connect(vna);

% Parameter der VNA-Messung einstellen
[fstart,fstop,n] = vna_parameters(obj,fstart,fstop,n);

% Reflexionsfaktoren des Open-Standards messen
questdlg('Open-Standard anschliessen','Kalibrierung','OK','OK');
[open,frequency] = vna_port1(obj,'open_port1.txt');

% Reflexionsfaktoren des Short-Standards messen
questdlg('Short-Standard anschliessen','Kalibrierung','OK','OK');
[short,frequency] = vna_port1(obj,'short_port1.txt');

% Reflexionsfaktoren des Match-Standards messen
questdlg('Match-Standard anschliessen','Kalibrierung','OK','OK');
[match,frequency] = vna_port1(obj,'match_port1.txt');

% Reflexionsfaktoren des Messobjekts messen
questdlg('Messobjekt anschliessen','Messung','OK','OK');
[dut,frequency] = vna_port1(obj,'dut_port1.txt');

% Verbindung zum VNA schlieen
vna_disconnect(obj);

% OSM-Kalibrierung durchfhren
cal_dut = osm(frequency,calkit,dut,open,short,match);

% Ergebnis im Smith-Diagramm darstellen
smithdiagramm(cal_dut,'\Gamma');
