function smithdiagramm(s,name)
%SMITHDIAGRAMM Streuparameter im Smith-Diagramm darstellen
%   Betrag der Streuparameter sollte kleiner als 1 sein
%   input arguments
%       s               komplexe Streuparameter
%       name            optional Name des Streuparameters fr den Titel
%
%   28.08.2019          T. Weber 

% Smith-Diagramm zeichnen
figure;
plot(real(s),imag(s),'b-o');

% Hilfslinien zeichnen
hold on;
plot(cos(0:pi/100:2*pi),sin(0:pi/100:2*pi),'k-'); % Einheitskreis
plot([-1 1],[0 0],'k--'); % X = 0
plot(0.5+0.5*cos(0:pi/100:2*pi),0.5*sin(0:pi/100:2*pi),'k--'); % R = 1
plot(1+cos(pi:pi/100:1.5*pi),1+sin(pi:pi/100:1.5*pi),'k--'); % X = 1
plot(1+cos(0.5*pi:pi/100:pi),-1+sin(0.5*pi:pi/100:pi),'k--'); % X = -1
hold off;

% Formatieren
axis equal;
axis off;
axis([-1 1 -1 1]);
xlabel('Re');
ylabel('Im');
if exist('name')
    title(name);
    
end

end
